API referenceChat
Get a conversation
GET
One conversation with its messages, oldest first.
tokenheader
AuthorizationBearer <manova_...>An API token from the panel's «دسترسی API» page: manova_ and 64 hex characters, valid for 90 days.
id*stringapplication/json- response
id*stringtitle*stringcreatedAt*string|nullupdatedAt*string|nulllastMessagePreview*string|nullprojectId*string|nullagentId*string|nullisPinned*booleancreatedByUserId*integer|nullmessages*array<>curl -X GET 'https://manova.ir/api/v1/external/conversations/string'Example Response
{ "id": "string", "title": "string", "createdAt": "string", "updatedAt": "string", "lastMessagePreview": "string", "projectId": "string", "agentId": "string", "isPinned": true, "createdByUserId": 0, "messages": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a", "role": "user", "content": [ { "type": "text", "text": "string" } ], "status": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}